package com.example.demo;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
@RequestMapping("/kalkulator")
public class KalkulatorController {
    
    @GetMapping
    public String kalkulatorGet() {
        return "kalkulator.html";
    }

    @PostMapping
    public String kalkulatorPost(Long liczba1, Long liczba2, Model model) {
        model.addAttribute("wynik", liczba1+liczba2);
        return "kalkulator.html";
    }
    
}
